View Issue Details

IDProjectCategoryView StatusLast Update
0003232unrealircdpublic2007-04-24 05:02
ReportervonitsanetAssigned Tostskeeps 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSFreeBSDOS Version6.2-STABLE
Product Version3.2.6 
Target VersionFixed in Version3.3-alpha0 
Summary0003232: /Map is not shown u:lined servers to local opers and /links does.
DescriptionAs Summary says as a local oper i can't see u:lined / juped servers with /map but with /links i can.

I dont know which is the correct behavior but it should be fixed.
Steps To ReproduceJust oper-up as local and test /map - /links with ulined server(s) connected.
TagsNo tags attached.
3rd party modulesantirandom, randquote, m_jumpserver, m_privdeaf

Activities

2007-02-11 07:41

 

locops_see_ulines_in_map.patch (610 bytes)

2007-02-11 07:43

 

locops_cant_see_ulines_in_links.patch (605 bytes)

djGrrr

2007-02-11 07:44

reporter   ~0013207

i have attached 2 patches
one makes it so localops can see the ulines in both maps and links
the other makes it so they can't

vonitsanet

2007-04-16 13:39

reporter   ~0013466

*bumb*

stskeeps

2007-04-16 16:14

reporter   ~0013469

Can someone other than the coder confirm this patch works for solving this problem?

stskeeps

2007-04-24 05:02

reporter   ~0013652

Took map is shown to local opers and links does patch.

Fixed in .2369

Issue History

Date Modified Username Field Change
2007-02-10 10:10 vonitsanet New Issue
2007-02-10 10:10 vonitsanet 3rd party modules => antirandom, randquote, m_jumpserver, m_privdeaf
2007-02-11 07:41 djGrrr File Added: locops_see_ulines_in_map.patch
2007-02-11 07:43 djGrrr File Added: locops_cant_see_ulines_in_links.patch
2007-02-11 07:44 djGrrr Note Added: 0013207
2007-04-16 13:39 vonitsanet Note Added: 0013466
2007-04-16 16:14 stskeeps Note Added: 0013469
2007-04-18 05:13 stskeeps Status new => acknowledged
2007-04-19 18:42 stskeeps Status acknowledged => confirmed
2007-04-24 05:02 stskeeps Status confirmed => resolved
2007-04-24 05:02 stskeeps Fixed in Version => 3.3-alpha0
2007-04-24 05:02 stskeeps Resolution open => fixed
2007-04-24 05:02 stskeeps Assigned To => stskeeps
2007-04-24 05:02 stskeeps Note Added: 0013652